libetonyek::IWORKMetadataElement Class Reference

`#include <IWORKMetadataElement.h>`

Inheritance diagram for libetonyek::IWORKMetadataElement:

## Public Member Functions
| IWORKMetadataElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
boost::optional< std::string > | m_author
boost::optional< std::string > | m_title
boost::optional< std::string > | m_keywords
boost::optional< std::string > | m_comment

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKMetadataElement()

libetonyek::IWORKMetadataElement::IWORKMetadataElement | ( | IWORKXMLParserState & | state | ) |
| explicit

Referenced by IWORKMetadataElement().

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKMetadataElement::element | ( | int | name | ) |
| override protected virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKMetadataElement::endOfElement | ( |  | ) |
| override protected virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_author

boost::optional<std::string> libetonyek::IWORKMetadataElement::m_author
| private

Referenced by element(), endOfElement(), and IWORKMetadataElement().

## ◆ m_comment

boost::optional<std::string> libetonyek::IWORKMetadataElement::m_comment
| private

Referenced by element(), endOfElement(), and IWORKMetadataElement().

## ◆ m_keywords

boost::optional<std::string> libetonyek::IWORKMetadataElement::m_keywords
| private

Referenced by element(), endOfElement(), and IWORKMetadataElement().

## ◆ m_title

boost::optional<std::string> libetonyek::IWORKMetadataElement::m_title
| private

Referenced by element(), endOfElement(), and IWORKMetadataElement().

The documentation for this class was generated from the following files:

- IWORKMetadataElement.h
- IWORKMetadataElement.cpp